Вопросы от новичка

Страницы: Пред. 1 2 3 4 5 ... 29 След.
RSS
Вопросы от новичка, Последовательность проектирования
Цитата
grimer1982 пишет:
Моего вопроса так никто и не понял )

Лично для меня не понятно зачем работать с телами?
Поэтому и не понятен вопрос.
Работайте с деталями и дергайте их по сборке как хотите.
Изменено: Аркадий Дроздов - 19.12.2013 12:17:59
Цитата
grimer1982 пишет:
Моего вопроса так никто и не понял )
Так я вроде описал методику.
А насчёт того
Цитата
Чтобы потом разворачивая тело в дереве была видна история его создания, чтобы тело редактировать можно было,
,
то связь в этом случае однонаправленная: тело в мастер-модели (подоснове) > тело в детали. Переносится в деталь тело (можно эскизы, вспомогательную геометрию и ещё ряд объектов), история построения (фичерсы) не переносятся. Что то должно быть первичным (родителем), что то вторичным (потомком). Иначе - неопределённость и неоднозначность. Да и смысл мастер-модели как ассоциативной общей компоновки теряется. В данном случае тело в подоснове - первично, тело детали - вторично. Геометрию, созданную в подоснове, там же и менять нужно. В остальном Ваша путаница со вставкой в сборку действительно не совсем понятна. При использовании команды "Создать компоненты" в большинстве случаев зависимости накладывать не нужно, ибо детали вставляются в сборку с совмещением по главной системе координат и фиксацией. При последующем объединении деталей в подсборку эту подсборку нужно зафиксировать вручную. Копии деталей, естественно вставляются уже "снизу-вверх" с наложением зависимостей.
Изменено: sloter - 19.12.2013 16:27:37
Цитата
sloter пишет:
В остальном Ваша путаница со вставкой в сборку действительно не совсем понятна.

Как бы попроще выразиться - у меня в сборке 2 готовых изделия, и корпус, теперь вокруг корпуса конструкцию создаю таким образом - открываю редактирование корпуса и в этом режиме рисую еще несколько деталей, новые детали остаются как бы входящими в этот корпус (тв.тело 1,2 и т.д.) - вот как мне теперь вытащить эти детали из корпуса на общий уровень в дереве (вместе с эскизами и т.п.) - чтобы они уже стали самостоятельными деталями. Это для того чтобы потом новые сборки создавать из деталей, в этом же файле. + к этому надо чтобы была возможность редактировать все что есть в сборке.
Изменено: grimer1982 - 20.12.2013 05:11:11
В дереве построений выдели эти детали и перетащи из данной сборки в общую.
Цитата
grimer1982 пишет:
- вот как мне теперь вытащить эти детали из корпуса на общий уровень в дереве (вместе с эскизами и т.п.) - чтобы они уже стали самостоятельными деталями.
Команда "Создать компоненты", в разделе "Целевая сборка" выбираете нужную вам сборку, куда хотите вставлять (если вы делаете это редактируя Корпус в контексте главной сборки, то эта сборка должна предлагаться по дефолту в разделе "Целевая сборка"). Если нужна другая сборка, то нажмите на стрелку в разделе "расположение целевой сборки" и внимательно прочитайте сообщение  "чтобы создать новую сборку - нажмите Да, что бы выбрать существующую - Нет". Команда "Создать компоненты" позволяет создавать сразу несколько деталей на основе тел или эскизных блоков со вставкой их в сборку. Если вам нужно кроме тела переносить другие объекты (эскизы, блоки, параметры, вспомогательную геометрию), то использовать команду "Создать деталь", но она создаёт детали по одной. Если нужно добавить другие объекты уже после создания деталей командой "Создать компоненты", то можно в детали сделать "Редактировать производный компонент" и добавить нужные объекты.
Цитата
grimer1982 пишет:
+ к этому надо чтобы была возможность редактировать все что есть в сборке.
Про это я уже писал, читайте внимательней. Геометрию, созданную в мастер-модели (в вашем случае в детали Корпус), только там же и менять можно (добавлять новые элементы естественно можно уже в детали). Переносить (дублировать) фичерсы построения нельзя и не имеет смысла для данной методики моделирования (совместное создание и последующее СОВМЕСТНОЕ ассоциативное изменение основной геометрии деталей на одном уровне).
Изменено: sloter - 20.12.2013 08:53:43
Цитата
Владимир Ленчевский пишет:
В дереве построений выдели эти детали и перетащи из данной сборки в общую.

А нельзя, у меня не сборка а несколько тел созданных в детали
спичип2.JPG (18.45 КБ)
Цитата
sloter пишет:
Если вам нужно кроме тела переносить другие объекты (эскизы, блоки, параметры, вспомогательную геометрию), то использовать команду "Создать деталь", но она создаёт детали по одной.

Ну понятно, вобщем я по незнанию пошел не тем путем - создал несколько тел командой "создать деталь" - они так не отображаются в спецификации. Если их вынести в сборку через "создать компоненты", то нельзя эскизы редактировать которыми эти тела созданы. Надо другим путем идти....Как то создавать в сборке одним эскизом несколько тел, чтобы они и в спецификации были и редактировать их можно было и подсборки создавать, и чтобы местоположение тел при этом не нарушалось.
Изменено: grimer1982 - 20.12.2013 10:52:37
Цитата
grimer1982 пишет:
Как то создавать в сборке одним эскизом несколько тел

а зачем? создайте деталь и тягайте её по сборкам, и меняйте размеры хоть руками хоть параметрами.
Цитата
Александр_67 пишет:



Цитата  


grimer1982 пишет:
Как то создавать в сборке одним эскизом несколько тел

а зачем? создайте деталь и тягайте её по сборкам, и меняйте размеры хоть руками хоть параметрами.

Ну когда проектируешь как несколько деталей сопрягается, то надо их вместе создавать, в одном эскизе.
Цитата
grimer1982 пишет:
Ну когда проектируешь как несколько деталей сопрягается, то надо их вместе создавать, в одном эскизе.

адаптивность есть для этой цели.
Цитата
grimer1982 пишет:
Ну когда проектируешь как несколько деталей сопрягается, то надо их вместе создавать, в одном эскизе.

Можно делать каркасную модель, из которой берутся свойства остальных деталей.
В действительности всё не так как на самом деле.
Часто в стандартных деталях прописывается предыдущее имя, при этом в сборке деталь называется правильно. Можно как-то присваивать актуальное имя файла в название модели?
name.PNG (35.38 КБ)
В действительности всё не так как на самом деле.
Цитата
darkfrei пишет:
Часто в стандартных деталях прописывается предыдущее имя, при этом в сборке деталь называется правильно. Можно как-то присваивать актуальное имя файла в название модели?
Код
name = ThisDoc.FileName(True)
If name <> ThisDoc.Document.DisplayName Then
   ThisDoc.Document.DisplayName = name + ".ipt"
End If
inventor 2016+imdase+avs+search
Цитата
niksasa пишет:
Спасибо, работает! Чуть поправил:

Код
name = ThisDoc.FileName(False)
If name <> ThisDoc.Document.DisplayName Then
ThisDoc.Document.DisplayName = ThisDoc.FileName(False)
MessageBox.Show("Check! " & ThisDoc.Document.DisplayName, "Message")
End If
Изменено: darkfrei - 21.01.2014 17:04:27
В действительности всё не так как на самом деле.
Цитата
darkfrei пишет:
Спасибо, работает! Чуть поправил:
Пожалуйста.
Изменено: niksasa - 21.01.2014 17:12:54
inventor 2016+imdase+avs+search
Есть куча старых деталей без правил iLogic и без правил их завуска, разумеется. Как заставить инвентор запускать внешнее правило при их сохранении?
В действительности всё не так как на самом деле.
Цитата
darkfrei пишет:
Как заставить инвентор запускать внешнее правило при их сохранении?
На эту тему есть очень интересная статья
http://inventortrenches.blogspot.com/2011/08/built-for-speed-running-ilogic-rules.html
Изменено: niksasa - 23.01.2014 15:09:33
inventor 2016+imdase+avs+search
Цитата
niksasa пишет:
Цитата
darkfrei пишет:
Часто в стандартных деталях прописывается предыдущее имя, при этом в сборке деталь называется правильно. Можно как-то присваивать актуальное имя файла в название модели?
ThisDoc.Document.DisplayName = name + ".ipt"
С чертежами дело встало интересно. В некоторых ThisDoc.Document.DisplayName стоит .idw, а в некоторых нет. Причём если ему присвоить что-то вроде
Код
ThisDoc.Document.DisplayName = "ИмяФайла.dat.idw"

то отобразится в этом DisplayName всё равно как ИмяФайла.dat. Для корректного названия требуется переименовывать в
Код
ThisDoc.Document.DisplayName = "ИмяФайла" + ".idw" + ".idw"

Иногда появляются сразу оба idw. А ведь это имя используется всегда в batch-обрабатываемых правилах сборок.

========================================
апд
Для актуализации отображаемого имени нужно использовать команду
Код
ThisDoc.Document.DisplayName = ""

Тогда отображаемое имя вновь становится динамическим.
Изменено: darkfrei - 10.02.2014 11:05:46
В действительности всё не так как на самом деле.
Для актуализации отображаемого имени нужно использовать команду

Код
ThisDoc.Document.DisplayName = ""

Тогда отображаемое имя вновь становится динамическим.
В действительности всё не так как на самом деле.
Цитата
darkfrei пишет:
Цитата
grimer1982 пишет:
Ну когда проектируешь как несколько деталей сопрягается, то надо их вместе создавать, в одном эскизе.
Можно делать каркасную модель, из которой берутся свойства остальных деталей.
+10

Цитата
sloter пишет:
... ибо детали вставляются в сборку с совмещением по главной системе координат и фиксацией...
Не забываем, что для этого в параметрах приложения должна стоять галочка как на скриншоте:
Страницы: Пред. 1 2 3 4 5 ... 29 След.
Читают тему (гостей: 3, пользователей: 0, из них скрытых: 0)